const OFFLINE_CACHE;

this.addEventListener('install', function(event) {
  
  var timeStamp;
  var urlsToFetch;
  var remoteLocationHref;
  var localLocationHref;
  
  event.waitUntil(
    caches.open(OFFLINE_CACHE,true).then(function(cache) {
        
	var cachePromises = urlsToFetch.map(function(urlToFetch) {

        if(urlToFetch.indexOf('x5swopt.qq.com/config')!== -1)
        {
        		var configData;
     				var body = new Blob(configData);
     				return cache.put('https://x5swopt.qq.com/config', new Response(body));
        }        
        var url = remoteLocationHref + urlToFetch.substr(urlToFetch.indexOf('/', 2),urlToFetch.length);        
        return fetch(url, {localUrl: localLocationHref+urlToFetch}).then(function(response) {
          return cache.put(url, response);
        });
    });

     return Promise.all(cachePromises);
	  
    })
  );
});